CONTOUR_UNSCALE_LEVELS(3)

EXPERIMENTAL_FUNC
contour_unscale_levels - Unscale contour levels.

SYNOPSIS
#include <karma_contour.h>

void contour_unscale_levels

(double *contour_levels, flag *dash, double *linewidths, unsigned int num_levels, double scale, double offset, double neg_width, double pos_width)

DESCRIPTION
Unscale contour levels.

contour_levels
    The scaled contour levels. This is updated with the raw (unscaled) contour levels.

dash
    An array of booleans will be written here. TRUE is written if the corresponding scaled contour level is negative, else FALSE is written.

linewidths
    An array of linewidths will be written here.

num_levels
    The number of levels.

scale
    The scale factor.

offset
    The offset.

neg_width
    The linewidth for negative contours.

pos_width
    The linewidth for positive contours.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
scaled = raw * <<scale>> + <<offset>>.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/